MyGUI::DataStream Class Reference

`#include <MyGUI_DataStream.h>`

Inheritance diagram for MyGUI::DataStream:
[legend]

## Public Member Functions

| DataStream ()
| DataStream (std::istream *_stream)
bool | eof () override
size_t | size () override
void | readline (std::string &_source, Char _delim) override
size_t | read (void *_buf, size_t _count) override
Public Member Functions inherited from MyGUI::IDataStream
virtual | ~IDataStream ()=default

## Protected Attributes

std::istream * | mStream
size_t | mSize

## Detailed Description

Definition at line 16 of file MyGUI_DataStream.h.

## Constructor & Destructor Documentation

## DataStream() [1/2]

MyGUI::DataStream::DataStream | ( |  | ) |

Definition at line 13 of file MyGUI_DataStream.cpp.

## DataStream() [2/2]

MyGUI::DataStream::DataStream | ( | std::istream * | _stream | ) |

Definition at line 19 of file MyGUI_DataStream.cpp.

## Member Function Documentation

## eof()

bool MyGUI::DataStream::eof | ( |  | ) |

override virtual

Implements MyGUI::IDataStream.

Definition at line 38 of file MyGUI_DataStream.cpp.

## read()

size_t MyGUI::DataStream::read | ( | void * | _buf,
|  | size_t | _count )

override virtual

Implements MyGUI::IDataStream.

Definition at line 50 of file MyGUI_DataStream.cpp.

## readline()

void MyGUI::DataStream::readline | ( | std::string & | _source,
|  | Char | _delim )

override virtual

Implements MyGUI::IDataStream.

Definition at line 43 of file MyGUI_DataStream.cpp.

## size()

size_t MyGUI::DataStream::size | ( |  | ) |

override virtual

Implements MyGUI::IDataStream.

Definition at line 25 of file MyGUI_DataStream.cpp.

## Field Documentation

## mSize

size_t MyGUI::DataStream::mSize

protected

Definition at line 29 of file MyGUI_DataStream.h.

## mStream

std::istream* MyGUI::DataStream::mStream

protected

Definition at line 28 of file MyGUI_DataStream.h.

The documentation for this class was generated from the following files:

- MyGUI_DataStream.h
- MyGUI_DataStream.cpp